OrdersOrder Bumps
Create order bump
POST
/v1/order-bumpsCreate order bump. A successful request returns HTTP 201 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/order-bumps" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "description": "Example description.", "status": "draft", "productId": "7204558912004325301", "variantId": "7204558912004325301", "offerPrice": 1, "minimumCartSubtotal": 1, "priority": 1, "maxPerCart": 1, "startsAt": "2026-08-01T15:30:00Z", "endsAt": "2026-08-01T15:30:00Z", "badgeLabel": "example", "callToAction": "example" }'{ "id": "7204558912004325301"}